﻿@model List<CarPriceAlert.Models.PriceAlert>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
           First Name  @*@Html.DisplayNameFor(model => model.FirstName)*@
        </th>
        <th>
           Last Name  @*@Html.DisplayNameFor(model => model.LastName)*@
        </th>
        <th>
           E-Mail @*@Html.DisplayNameFor(model => model.EMail)
        </th>*@
        <th>
           Link @*@Html.DisplayNameFor(model => model.Link)*@
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.FirstName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.EMail)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Link)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Details", "Details", new { id= Model.IndexOf(item) }) |
            @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
        </td>
    </tr>
}

</table>
